curl --request GET \
--url https://api.callers.ai/agent-groups/{agentGroupId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.callers.ai/agent-groups/{agentGroupId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.callers.ai/agent-groups/{agentGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "507f1f77bcf86cd799439011",
"name": "Onboarding Campaigns",
"organizationId": "507f1f77bcf86cd799439012",
"campaignsCount": 3,
"createdAt": "2024-04-09T12:00:00.000Z",
"updatedAt": "2024-04-09T13:30:00.000Z"
}{
"status": "error",
"message": "<string>"
}Get an agent group by id
Returns a single agent group, scoped to the authenticated organization. Returns 404 if the agent group does not exist within the organization.
Authorizations
Headers
Optional sub organization ID. Must belong to your main organization API key.
Path Parameters
Id of the agent group as a string ObjectId value.
Response
Unique identifier for the agent group. String representation of an ObjectId.
"507f1f77bcf86cd799439011"
Display name of the agent group.
"Onboarding Campaigns"
Id of the organization this agent group belongs to. String representation of an ObjectId.
"507f1f77bcf86cd799439012"
Number of agents currently assigned to this agent group.
3
Timestamp when the agent group was created (ISO 8601 string).
"2024-04-09T12:00:00.000Z"
Timestamp when the agent group was last updated (ISO 8601 string).
"2024-04-09T13:30:00.000Z"